Subject: Re: [Patch 3/5] Network Drop Monitor: Adding kfree_skb_clean for non-drops and modifying end-of-line points for skbs

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Wed, 4 Mar 2009 19:45:05 -0300

Em Wed, Mar 04, 2009 at 01:06:14PM -0800, David Miller escreveu:
> From: Arnaldo Carvalho de Melo <[email-masked]>
> Date: Wed, 4 Mar 2009 13:13:35 -0300
> 
> > I wouldn't mind the churn, as I really think drop_skb() would be
> > clearer, but then this is up to Dave.
> 
> I mind the churn, I have to apply this thing and deal with
> the merge conflicts :-)
> 
> Why not come up with a clever alternative name for kfree_skb_clean()?

Oh well, sometimes churn is inevitable, but lemme try to figure out some
more clearer names for kfree_skb_clean:

rest_in_peace_skb()
here_lies_a_productive_skb()
kfree_not_dropped_skb()
kfree_worthy_skb()
consumed_skb()
hasta_la_vista_skbaby()
kfree_used_skb()

Perhaps the last one, huh? :-)

- Arnaldo

P.S.: </joke'ishy moment>